Bug 193279 - Corsair K70 Gaming Keyboard will not function on boot
Summary: Corsair K70 Gaming Keyboard will not function on boot
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 9.0-STABLE
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Hans Petter Selasky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-03 11:32 UTC by Lucas Holt
Modified: 2019-12-20 09:37 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Holt 2014-09-03 11:32:11 UTC
The Corsair K70 keyboard has the same issue as a K60 and requires a USB quirk to function  under FreeBSD.  Without the quirk, the keyboard detects in dmesg, but does not actually take input.  

These additions to usbdevs and usb_quirks.c seemed to fix it much like the change for the K60.   

product CORSAIR K70             0x1b09  Corsair Vengeance K70 keyboard

 USB_QUIRK(CORSAIR, K70, 0x0000, 0xffff, UQ_KBD_BOOTPROTO),
Comment 1 Hans Petter Selasky freebsd_committer 2014-09-03 11:47:10 UTC
Hi,

Can you also dump the USB and HID descriptors of your device. Maybe it is possible to make a more generic quirk?

--HPS
Comment 2 commit-hook freebsd_committer 2014-09-03 11:47:21 UTC
A commit references this bug:

Author: hselasky
Date: Wed Sep  3 11:46:44 UTC 2014
New revision: 271017
URL: http://svnweb.freebsd.org/changeset/base/271017

Log:
  Add new quirk.

  PR:		193279
  MFC after:	1 week

Changes:
  head/sys/dev/usb/quirk/usb_quirk.c
  head/sys/dev/usb/usbdevs
Comment 3 commit-hook freebsd_committer 2014-09-03 13:15:26 UTC
A commit references this bug:

Author: hselasky
Date: Wed Sep  3 13:15:16 UTC 2014
New revision: 271018
URL: http://svnweb.freebsd.org/changeset/base/271018

Log:
  Fix spelling.

  PR:		193279
  MFC after:	1 week

Changes:
  head/sys/dev/usb/quirk/usb_quirk.c
Comment 4 commit-hook freebsd_committer 2014-09-10 06:57:37 UTC
A commit references this bug:

Author: hselasky
Date: Wed Sep 10 06:57:25 UTC 2014
New revision: 271359
URL: http://svnweb.freebsd.org/changeset/base/271359

Log:
  MFC r271017 and r271018:
  Add new quirk.

  PR:        193279

Changes:
_U  stable/9/sys/
_U  stable/9/sys/dev/
  stable/9/sys/dev/usb/quirk/usb_quirk.c
  stable/9/sys/dev/usb/usbdevs
Comment 5 commit-hook freebsd_committer 2014-09-10 07:15:39 UTC
A commit references this bug:

Author: hselasky
Date: Wed Sep 10 07:15:24 UTC 2014
New revision: 271361
URL: http://svnweb.freebsd.org/changeset/base/271361

Log:
  MFC r239298, r271017 and r271018:
  Add new quirk.

  PR:        193279

Changes:
_U  stable/8/sys/
_U  stable/8/sys/dev/
_U  stable/8/sys/dev/usb/
  stable/8/sys/dev/usb/quirk/usb_quirk.c
  stable/8/sys/dev/usb/usbdevs
Comment 6 commit-hook freebsd_committer 2014-09-10 09:41:48 UTC
A commit references this bug:

Author: hselasky
Date: Wed Sep 10 09:40:51 UTC 2014
New revision: 271370
URL: http://svnweb.freebsd.org/changeset/base/271370

Log:
  MFC r271017 and r271018:
  Add new quirk.

  PR:        193279
  Approved by:	re, marius

Changes:
_U  stable/10/
  stable/10/sys/dev/usb/quirk/usb_quirk.c
  stable/10/sys/dev/usb/usbdevs